﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace UntitledProject8
{
    public class CColorArray
    {
        public Color color { get; set; }
    }

	public partial class Window1
	{
        Color[] colorArray;
        Rectangle[] rect;
        int colorIndex;

        Rectangle colorMaster;

		public Window1()
		{
			this.InitializeComponent();

            colorIndex = 0;
            colorArray = new Color[10];
            rect = new Rectangle[5];

            colorArray[0] = Color.FromArgb(255, 0, 0, 0);
            colorArray[1] = Color.FromArgb(255, 25, 0, 0);
            colorArray[2] = Color.FromArgb(255, 50, 0, 0);
            colorArray[3] = Color.FromArgb(255, 75, 0, 0);
            colorArray[4] = Color.FromArgb(255, 100, 0, 0);
            colorArray[5] = Color.FromArgb(255, 125, 0, 0);
            colorArray[6] = Color.FromArgb(255, 150, 0, 0);
            colorArray[7] = Color.FromArgb(255, 175, 0, 0);
            colorArray[8] = Color.FromArgb(255, 200, 0, 0);
            colorArray[9] = Color.FromArgb(255, 255, 0, 0);

            rect[0] = this.FindName("colorPalette0") as Rectangle;
            rect[1] = this.FindName("colorPalette1") as Rectangle;
            rect[2] = this.FindName("colorPalette2") as Rectangle;
            rect[3] = this.FindName("colorPalette3") as Rectangle;
            rect[4] = this.FindName("colorPalette4") as Rectangle;

            colorMaster = this.FindName("masterColor") as Rectangle;

//            r0.Fill = new SolidColorBrush(Color.FromArgb(255, 255, 0, 0));
//            rect[0].Fill = new SolidColorBrush(colorArray[0]);
//            rect[1].Fill = new SolidColorBrush(colorArray[1]);
//            rect[2].Fill = new SolidColorBrush(colorArray[2]);
//            rect[3].Fill = new SolidColorBrush(colorArray[3]);
//            rect[4].Fill = new SolidColorBrush(colorArray[4]);
            ColorMapping();
		}

        void ColorMapping()
        {
            int tmpIndex = colorIndex;

            if (tmpIndex > 9) tmpIndex = tmpIndex - 9;
            rect[0].Fill = new SolidColorBrush(colorArray[tmpIndex]);
            colorMaster.Fill = new SolidColorBrush(colorArray[tmpIndex]);

            tmpIndex++;
            if (tmpIndex > 9) tmpIndex = tmpIndex - 9;
            rect[1].Fill = new SolidColorBrush(colorArray[tmpIndex]);

            tmpIndex++;
            if (tmpIndex > 9) tmpIndex = tmpIndex - 9;
            rect[2].Fill = new SolidColorBrush(colorArray[tmpIndex]);

            tmpIndex++;
            if (tmpIndex > 9) tmpIndex = tmpIndex - 9;
            rect[3].Fill = new SolidColorBrush(colorArray[tmpIndex]);

            tmpIndex++;
            if (tmpIndex > 9) tmpIndex = tmpIndex - 9;
            rect[4].Fill = new SolidColorBrush(colorArray[tmpIndex]);
        }

        private void OnMoveLeft_Click(object sender, RoutedEventArgs e)
        {
            colorIndex++;
            if (colorIndex > 9) colorIndex = colorIndex - 9;
            ColorMapping();
        }

        private void OnMoveRight_Click(object sender, RoutedEventArgs e)
        {
            colorIndex--;
            if (colorIndex < 0) colorIndex = 9 - colorIndex;
            ColorMapping();
        }
	}
}